------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.List_View_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.List_View_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.List_Views is

   function batchSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, batchSize_0_wrapper,
                     "__Qt4Ada_QListView_batchSize_0_wrapper");

   procedure clearPropertyFlags_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, clearPropertyFlags_0_wrapper,
                     "__Qt4Ada_QListView_clearPropertyFlags_0_wrapper");

   procedure gridSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Sizes.Internals.QSize);
   pragma Import (C, gridSize_0_wrapper,
                     "__Qt4Ada_QListView_gridSize_0_wrapper");

   function isRowHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, isRowHidden_0_wrapper,
                     "__Qt4Ada_QListView_isRowHidden_0_wrapper");

   function isWrapping_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isWrapping_0_wrapper,
                     "__Qt4Ada_QListView_isWrapping_0_wrapper");

   function modelColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, modelColumn_0_wrapper,
                     "__Qt4Ada_QListView_modelColumn_0_wrapper");

   procedure setBatchSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Batch_Size : Qt4.Q_Integer);
   pragma Import (C, setBatchSize_0_wrapper,
                     "__Qt4Ada_QListView_setBatchSize_0_wrapper");

   procedure setGridSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Size : not null access constant Qt4.Sizes.Internals.QSize);
   pragma Import (C, setGridSize_0_wrapper,
                     "__Qt4Ada_QListView_setGridSize_0_wrapper");

   procedure setModelColumn_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Column : Qt4.Q_Integer);
   pragma Import (C, setModelColumn_0_wrapper,
                     "__Qt4Ada_QListView_setModelColumn_0_wrapper");

   procedure setRowHidden_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Row : Qt4.Q_Integer;
     Hide : Qt4.bool);
   pragma Import (C, setRowHidden_0_wrapper,
                     "__Qt4Ada_QListView_setRowHidden_0_wrapper");

   procedure setSpacing_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Space : Qt4.Q_Integer);
   pragma Import (C, setSpacing_0_wrapper,
                     "__Qt4Ada_QListView_setSpacing_0_wrapper");

   procedure setUniformItemSizes_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setUniformItemSizes_0_wrapper,
                     "__Qt4Ada_QListView_setUniformItemSizes_0_wrapper");

   procedure setWordWrap_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     On : Qt4.bool);
   pragma Import (C, setWordWrap_0_wrapper,
                     "__Qt4Ada_QListView_setWordWrap_0_wrapper");

   procedure setWrapping_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setWrapping_0_wrapper,
                     "__Qt4Ada_QListView_setWrapping_0_wrapper");

   function spacing_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, spacing_0_wrapper,
                     "__Qt4Ada_QListView_spacing_0_wrapper");

   function uniformItemSizes_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, uniformItemSizes_0_wrapper,
                     "__Qt4Ada_QListView_uniformItemSizes_0_wrapper");

   function wordWrap_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, wordWrap_0_wrapper,
                     "__Qt4Ada_QListView_wordWrap_0_wrapper");

   pragma Style_Checks ("N");

   ----------------
   -- Batch_Size --
   ----------------

   function Batch_Size
    (Self : not null access constant Q_List_View'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        batchSize_0_wrapper
         (Self.QObject_View);
   end Batch_Size;

   --------------------------
   -- Clear_Property_Flags --
   --------------------------

   procedure Clear_Property_Flags
    (Self : not null access Q_List_View'Class)
   is
   begin
      clearPropertyFlags_0_wrapper
       (Self.QObject_View);
   end Clear_Property_Flags;

   ---------------
   -- Grid_Size --
   ---------------

   function Grid_Size
    (Self : not null access constant Q_List_View'Class)
       return Qt4.Sizes.Q_Size
   is
      Returns : Qt4.Sizes.Q_Size;

   begin
      gridSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Returns));

      return Returns;
   end Grid_Size;

   -------------------
   -- Is_Row_Hidden --
   -------------------

   function Is_Row_Hidden
    (Self : not null access constant Q_List_View'Class;
     Row : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isRowHidden_0_wrapper
           (Self.QObject_View,
            Row));
   end Is_Row_Hidden;

   -----------------
   -- Is_Wrapping --
   -----------------

   function Is_Wrapping
    (Self : not null access constant Q_List_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isWrapping_0_wrapper
           (Self.QObject_View));
   end Is_Wrapping;

   ------------------
   -- Model_Column --
   ------------------

   function Model_Column
    (Self : not null access constant Q_List_View'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        modelColumn_0_wrapper
         (Self.QObject_View);
   end Model_Column;

   --------------------
   -- Set_Batch_Size --
   --------------------

   procedure Set_Batch_Size
    (Self : not null access Q_List_View'Class;
     Batch_Size : Qt4.Q_Integer)
   is
   begin
      setBatchSize_0_wrapper
       (Self.QObject_View,
        Batch_Size);
   end Set_Batch_Size;

   -------------------
   -- Set_Grid_Size --
   -------------------

   procedure Set_Grid_Size
    (Self : not null access Q_List_View'Class;
     Size : Qt4.Sizes.Q_Size)
   is
   begin
      setGridSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Size));
   end Set_Grid_Size;

   ----------------------
   -- Set_Model_Column --
   ----------------------

   procedure Set_Model_Column
    (Self : not null access Q_List_View'Class;
     Column : Qt4.Q_Integer)
   is
   begin
      setModelColumn_0_wrapper
       (Self.QObject_View,
        Column);
   end Set_Model_Column;

   --------------------
   -- Set_Row_Hidden --
   --------------------

   procedure Set_Row_Hidden
    (Self : not null access Q_List_View'Class;
     Row : Qt4.Q_Integer;
     Hide : Standard.Boolean)
   is
   begin
      setRowHidden_0_wrapper
       (Self.QObject_View,
        Row,
        Qt4.To_bool (Hide));
   end Set_Row_Hidden;

   -----------------
   -- Set_Spacing --
   -----------------

   procedure Set_Spacing
    (Self : not null access Q_List_View'Class;
     Space : Qt4.Q_Integer)
   is
   begin
      setSpacing_0_wrapper
       (Self.QObject_View,
        Space);
   end Set_Spacing;

   ----------------------------
   -- Set_Uniform_Item_Sizes --
   ----------------------------

   procedure Set_Uniform_Item_Sizes
    (Self : not null access Q_List_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setUniformItemSizes_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Uniform_Item_Sizes;

   -------------------
   -- Set_Word_Wrap --
   -------------------

   procedure Set_Word_Wrap
    (Self : not null access Q_List_View'Class;
     On : Standard.Boolean)
   is
   begin
      setWordWrap_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (On));
   end Set_Word_Wrap;

   ------------------
   -- Set_Wrapping --
   ------------------

   procedure Set_Wrapping
    (Self : not null access Q_List_View'Class;
     Enable : Standard.Boolean)
   is
   begin
      setWrapping_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Wrapping;

   -------------
   -- Spacing --
   -------------

   function Spacing
    (Self : not null access constant Q_List_View'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        spacing_0_wrapper
         (Self.QObject_View);
   end Spacing;

   ------------------------
   -- Uniform_Item_Sizes --
   ------------------------

   function Uniform_Item_Sizes
    (Self : not null access constant Q_List_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (uniformItemSizes_0_wrapper
           (Self.QObject_View));
   end Uniform_Item_Sizes;

   ---------------
   -- Word_Wrap --
   ---------------

   function Word_Wrap
    (Self : not null access constant Q_List_View'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (wordWrap_0_wrapper
           (Self.QObject_View));
   end Word_Wrap;

end Qt4.List_Views;
